aboutsummaryrefslogtreecommitdiffstats
path: root/tests/t0001-validate-git-versions.sh
diff options
context:
space:
mode:
authorJohn Keeping <john@keeping.me.uk>2013-04-01 15:09:05 +0100
committerJason A. Donenfeld <Jason@zx2c4.com>2013-04-08 22:27:11 +0200
commitc95cc5ec56dbb7394015eb18201403be6d80f69b (patch)
tree7014b96a1a1408b5291532c0c442082aba693a80 /tests/t0001-validate-git-versions.sh
parentDo not load user or system gitconfig and gitattributes (diff)
downloadcgit-c95cc5ec56dbb7394015eb18201403be6d80f69b.tar.xz
cgit-c95cc5ec56dbb7394015eb18201403be6d80f69b.zip
tests: use Git's test framework
This allows tests to run in parallel as well as letting us use "prove" or another TAP harness to run the tests. Git's test framework requires Git to be fully built before letting any tests run, so add a new target to the top-level Makefile which builds all of Git instead of just libgit.a and make the "test" target depend on that. Signed-off-by: John Keeping <john@keeping.me.uk>
Diffstat (limited to 'tests/t0001-validate-git-versions.sh')
-rwxr-xr-xtests/t0001-validate-git-versions.sh28
1 files changed, 14 insertions, 14 deletions
diff --git a/tests/t0001-validate-git-versions.sh b/tests/t0001-validate-git-versions.sh
index 3378358..754046e 100755
--- a/tests/t0001-validate-git-versions.sh
+++ b/tests/t0001-validate-git-versions.sh
@@ -1,36 +1,36 @@
#!/bin/sh
+test_description='Check Git version is correct'
+CGIT_TEST_NO_CREATE_REPOS=YesPlease
. ./setup.sh
-prepare_tests 'Check Git version is correct'
-
-run_test 'extract Git version from Makefile' '
+test_expect_success 'extract Git version from Makefile' '
sed -n -e "/^GIT_VER[ ]*=/ {
s/^GIT_VER[ ]*=[ ]*//
p
- }" ../Makefile >trash/makefile_version
+ }" ../../Makefile >makefile_version
'
-run_test 'test Git version matches Makefile' '
- ( cat ../git/GIT-VERSION-FILE || echo "No GIT-VERSION-FILE" ) |
- sed -e "s/GIT_VERSION[ ]*=[ ]*//" >trash/git_version &&
- diff -u trash/git_version trash/makefile_version
+test_expect_success 'test Git version matches Makefile' '
+ ( cat ../../git/GIT-VERSION-FILE || echo "No GIT-VERSION-FILE" ) |
+ sed -e "s/GIT_VERSION[ ]*=[ ]*//" >git_version &&
+ test_cmp git_version makefile_version
'
-run_test 'test submodule version matches Makefile' '
- if ! test -e ../git/.git
+test_expect_success 'test submodule version matches Makefile' '
+ if ! test -e ../../git/.git
then
echo "git/ is not a Git repository" >&2
else
(
- cd .. &&
+ cd ../.. &&
sm_sha1=$(git ls-files --stage -- git |
sed -e "s/^[0-9]* \\([0-9a-f]*\\) [0-9] .*$/\\1/") &&
cd git &&
git describe --match "v[0-9]*" $sm_sha1
- ) | sed -e "s/^v//" >trash/sm_version &&
- diff -u trash/sm_version trash/makefile_version
+ ) | sed -e "s/^v//" >sm_version &&
+ test_cmp sm_version makefile_version
fi
'
-tests_done
+test_done